Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.singularsys.jepexamples.consoles
Enum Console.SPEC_ACTION

    java.lang.Object
      java.lang.Enum<Console.SPEC_ACTION>
          com.singularsys.jepexamples.consoles.Console.SPEC_ACTION

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Console.SPEC_ACTION>

Enclosing class:
  Console

    public static enum Console.SPEC_ACTION

extends java.lang.Enum<Console.SPEC_ACTION>

Enum Constant Summary
`BREAK`
`CONTINUE`
`EXIT`

Method Summary
`static Console.SPEC_ACTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Console.SPEC_ACTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE

    public static final Console.SPEC_ACTION CONTINUE

### BREAK

    public static final Console.SPEC_ACTION BREAK

### EXIT

    public static final Console.SPEC_ACTION EXIT

Method Detail

### values

    public static final Console.SPEC_ACTION[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Console.SPEC_ACTION c : Console.SPEC_ACTION.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Console.SPEC_ACTION valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep